import * as vite from 'vite';
import { InlineConfig } from 'vite';
import { NuxtConfig, Nuxt } from '@nuxt/schema';
import { InlineConfig as InlineConfig$1 } from 'vitest';

interface GetVitestConfigOptions {
    nuxt: Nuxt;
    viteConfig: InlineConfig;
}
declare function getVitestConfigFromNuxt(options?: GetVitestConfigOptions, overrides?: NuxtConfig): Promise<InlineConfig & {
    test: InlineConfig$1;
}>;
declare function defineVitestConfig(config?: InlineConfig): vite.UserConfigExport;
declare module 'vitest' {
    interface EnvironmentOptions {
        nuxt?: {
            rootDir?: string;
            overrides?: NuxtConfig;
        };
    }
}

export { defineVitestConfig, getVitestConfigFromNuxt };
